PUT /products/{id}/dimensions/{dimensionId}

Update a specific dimension-association of a product in the system.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • id integer Required

    A unique identifier for the product within Finago Office ERP-modules.

    Minimum value is 1.

  • dimensionId integer Required

    A unique identifier for the dimension within Finago Office ERP modules.

    Minimum value is 1.

application/json

Body

  • value string Required

    The value (ie key) for the dimension.

Responses

  • 200 application/json

    Success

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • dimensionType integer Required

      The unique identifier for the dimension within Finago Office ERP modules.

    • dimensionTypeName string Required

      The display name of the dimension.

    • value string Required

      The value (ie key) for the dimension.

    • name string Required

      The display name associated with the value of the dimension.

PUT /products/{id}/dimensions/{dimensionId}
curl \
 --request PUT 'https://rest.api.24sevenoffice.com/v1/products/12/dimensions/1' \
 --header "Content-Type: application/json" \
 --header "Authorization: string" \
 --data '{"value":"13"}'
Request examples
# Headers
Authorization: string

# Payload
{
  "value": "13"
}
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
[
  {
    "dimensionType": 1,
    "dimensionTypeName": "Project",
    "value": "13",
    "name": "Project with ID 13"
  }
]